| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::LodVertexBuffer Struct Reference
Optional Components » MeshLodGenerator

Thread-safe buffer for storing Hardware vertex buffer. More...

`#include <OgreLodBuffer.h>`

## Public Member Functions
void | fillBuffer (Ogre::VertexData *data)

## Public Attributes
Ogre::SharedPtr< Vector3 > | vertexBuffer
size_t | vertexCount
Ogre::SharedPtr< Vector3 > | vertexNormalBuffer

## Detailed Description

Thread-safe buffer for storing Hardware vertex buffer.

## Member Function Documentation

## ◆ fillBuffer()

void Ogre::LodVertexBuffer::fillBuffer | ( | Ogre::VertexData * | data | ) |

## Member Data Documentation

## ◆ vertexCount

size_t Ogre::LodVertexBuffer::vertexCount

## ◆ vertexBuffer

Ogre::SharedPtr<Vector3> Ogre::LodVertexBuffer::vertexBuffer

## ◆ vertexNormalBuffer

Ogre::SharedPtr<Vector3> Ogre::LodVertexBuffer::vertexNormalBuffer

The documentation for this struct was generated from the following file:

- OgreLodBuffer.h